<%@ page contentType="text/html;charset=UTF-8" language="java" %><%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean"%><%@ taglib uri="http://struts.apache.org/tags-html" prefix="html"%><%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="description" content="SysAdminUser 添加实体类数据表单，path: 请情: www.guuraa.net " />

<title>SysAdminUser列表</title>
<link href="<bean:write name="SystemConfigApp" property="appContext"/>/com/goosaa/templete/default.css" type="text/css" rel="stylesheet">
<!--
 * @author http://www.guuraa.org
* tel:020-28983330 mobile:15975485229
 * email:wujavei@126.com  QQ:274390981
 * @see /entryJsp/SysAdminUserFromAdd.jsp
 -->

<title> SysAdminUser </title>

<link href="<bean:write name="SystemConfigApp" property="appContext"/>/com/goosaa/templete/default.css" type="text/css" rel="stylesheet">
<%--  时间控件 --%>

<script type="text/javascript"  src="<bean:write name="SystemConfigApp" property ="appContext"/>/DateTimeCalendar/DateTimeCalendar.js" language="javascript">
</script> 
<script src="<bean:write name="SystemConfigApp" property ="appContext"/>/guuraaApp/javascript/guuraa.js" type="text/javascript" language="javascript" charset="UTF-8" ></script>

</head>
<body>
<html:errors/>

<div class="title_box"><h1>添加网站管理员</h1></div>

<script type="text/javascript" src="/guuraa.org/javascript/form.js" language="javascript"></script>
<html:form   action="/gcms.hibernate.action/SysAdminUserAddAction?leixing=tj" method="post"   >
<div id="content">

<p>
<span class="formElementLable">用户名:</span><html:text property="userName" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.userName" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">密码:</span><html:text property="pwd" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.pwd" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">最后登录时间:</span><html:text property="lastLoginTime" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.lastLoginTime" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">登录ＩＰ:</span><html:text property="loginIp" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.loginIp" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>
<p>
<input id="SysAdminUserFormSubmit" type="button" onClick="return formsubmit()"  value="提交"/> <input type="reset"  value="重设"/>
</p>

</div></html:form>
	<script type="text/javascript" language="javascript" >
	//重设表单
	function resetForm(){
		var formPage=document.forms["SysAdminUserForm"];	 formPage.reset();
	 return false;
	}
	
	//提交表单，成功后提交表单
	function formsubmit(){
		var form=document.forms["SysAdminUserForm"];
		if(form==null){
			alert("无法获取表单！");
			 	return false;
		}
		if(form!=null){
		//表单验证
		 var formchekcReturn=formcheck();
	 	if(formchekcReturn !=null && formchekcReturn==true){
		form.submit();
	 //将提交按钮设置为失效，防止重复提交
		var formSubmit=document.getElementById("SysAdminUserFormSubmit");
	 	formSubmit.disabled= true;
	 	return true;
			 }else{
	 	return false;
		}
	 }//end if
	
	}//end fun
	//表单验证
	function formcheck(){
		var formPage=document.forms["SysAdminUserForm"];		if(formPage==null){
			alert("未发现表单！");
			isreturn =false;
			return false;
			
		}
		var isreturn =true;
		
		//表单中文验证
		
		//表单字符长度验证
		
		//表单密码强度验证
		
		//表单是否包含字符验证
		
		//表单过长验证
		
		//判断是否提交表单
		//alert("return :"+isreturn);
		
		if(isreturn ==false){
		
		//	alert("return :"+isreturn);
		return false;
		
		}else{
		isreturn=true;
		//alert("return :"+isreturn);
		return isreturn;
		}
	}
	
	</script>

</body>
</html>

